List enzymes
List enzymes that can be specified for other Benchling operations.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
pageSize
Number of results to return. Defaults to 50, maximum of 100.
nextToken
Token for pagination
sort
Method by which to order search results. Valid sort is name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.
Allowed values:
name
Name of an enzyme. Restricts results to those with the specified name.
nameIncludes
Name substring of an enzyme. Restricts results to those with names that include the provided substring.
ids
Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
names.anyOf
Comma-separated list of names. Restricts results to those that match any of the specified names.
Response headers
Result-Count
The total number of items that match the given query
x-rate-limit-limit
The number of allowed requests in the current rate-limit period
x-rate-limit-remaining
The number of requests remaining in the current rate-limit period
x-rate-limit-reset
The number of seconds remaining in the current rate-limit period
Response
OK
enzymes
nextToken
Errors
400
Bad Request Error